<?xml version="1.0" encoding="UTF-8"?>
<SAN_Simulator>
	<Class Name="WBEMSolutions_CIMXMLCommunicationMechanism" 
		Namespace="/interop" NOI="1">
		<Property Name="CommunicationMechanism" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="Version" Type="string" Random="false">
			<Value>1.0</Value>
		</Property>
		<Property Name="CIMXMLProtocolVersion" Type="uint16" Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="CIMValidated" Type="boolean" Random="false">
			<Value>false</Value>
		</Property>
		<Property Name="OtherCommunicationMechanismDescription" Type="string" 
			Random="false">
		</Property>
		<Property Name="FunctionalProfilesSupported" Type="uint16[]" 
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="FunctionalProfileDescriptions" Type="string[]" 
			Random="false">
		</Property>
		<Property Name="MultipleOperationsSupported" Type="boolean" 
			Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="AuthenticationMechanismsSupported" Type="uint16[]" 
			Random="false">
			<Value>3</Value>
		</Property>
		<Property Name="AuthenticationMechanismDescriptions" Type="string[]" 
			Random="false">
		</Property>
		<Property Name="SystemCreationClassName" Type="string" Random="false" 
			Key="true">
			<Value>WBEMSolutions_ComputerSystem</Value>
		</Property>
		<Property Name="SystemName" Type="string" Random="true" Key="true" Separator=".">
			<Value>2</Value>
			<Value>2</Value>
			<Value>2</Value>
			<Value>2</Value>
		</Property>
		<Property Name="CreationClassName" Type="string" Random="false" 
			Key="true">
			<Value>WBEMSolutions_CIMXMLCommunicationMechanism</Value>
		</Property>
		<Property Name="Name" Type="string" Random="false" Key="true">
			<Value>CIM-XML</Value>
		</Property>
		<Property Name="EnabledState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="OtherEnabledState" Type="string" Random="false">
		</Property>
		<Property Name="RequestedState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="EnabledDefault" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="TimeOfLastStateChange" Type="datetime" Random="false">
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="StatusDescriptions" Type="string[]" Random="false">
		</Property>
		<Property Name="Status" Type="string" Random="false">
		</Property>
		<Property Name="Caption" Type="string" Random="false">
			<Value>CIM-XML</Value>
		</Property>
		<Property Name="Description" Type="string" Random="false">
			<Value>CIM-XML</Value>
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
			<Value>CIM-XML</Value>
		</Property>
	</Class>
	<Class Name="WBEMSolutions_CIMXMLSCommunicationMechanism" 
		Namespace="/interop" NOI="1">
		<Property Name="CommunicationMechanism" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="Version" Type="string" Random="false">
			<Value>"1.0"</Value>
		</Property>
		<Property Name="CIMXMLProtocolVersion" Type="uint16" Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="CIMValidated" Type="boolean" Random="false">
			<Value>false</Value>
		</Property>
		<Property Name="OtherCommunicationMechanismDescription" Type="string" 
			Random="false">
		</Property>
		<Property Name="FunctionalProfilesSupported" Type="uint16[]" 
			Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="FunctionalProfileDescriptions" Type="string[]" 
			Random="false">
		</Property>
		<Property Name="MultipleOperationsSupported" Type="boolean" 
			Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="AuthenticationMechanismsSupported" Type="uint16[]" 
			Random="false">
			<Value>3</Value>
		</Property>
		<Property Name="AuthenticationMechanismDescriptions" Type="string[]" 
			Random="false">
		</Property>
		<Property Name="SystemCreationClassName" Type="string" Random="false" 
			Key="true">
			<Value>WBEMSolutions_ComputerSystem</Value>
		</Property>
		<Property Name="SystemName" Type="string" Random="false" Key="true" Refers="SystemName" External="WBEMSolutions_CIMXMLCommunicationMechanism">
			<Value>2</Value>
			<Value>2</Value>
			<Value>2</Value>
			<Value>2</Value>
		</Property>
		<Property Name="CreationClassName" Type="string" Random="false" 
			Key="true">
			<Value>WBEMSolutions_CIMXMLSCommunicationMechanism</Value>
		</Property>
		<Property Name="Name" Type="string" Random="false" Key="true">
			<Value>CIM-XML-SSL</Value>
		</Property>
		<Property Name="EnabledState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="OtherEnabledState" Type="string" Random="false">
		</Property>
		<Property Name="RequestedState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="EnabledDefault" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="TimeOfLastStateChange" Type="datetime" Random="false">
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="StatusDescriptions" Type="string[]" Random="false">
		</Property>
		<Property Name="Status" Type="string" Random="false">
		</Property>
		<Property Name="Caption" Type="string" Random="false">
			<Value>CIM-XML-SSL</Value>
		</Property>
		<Property Name="Description" Type="string" Random="false">
			<Value>CIM-XML-SSL</Value>
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
			<Value>CIM-XML-SSL</Value>
		</Property>
	</Class>
	<Class Name="Brocade_RegisteredProfile" Namespace="/interop" NOI="2">
		<Property Name="InstanceID" Type="string" Random="false" Key="true" 
			Multiple="true">
			<Value>Brocade:Switch</Value>
			<Value>Brocade:Fabric</Value>
		</Property>
		<Property Name="RegisteredOrganization" Type="uint16" Random="false">
			<Value>11</Value>
		</Property>
		<Property Name="RegisteredName" Type="string" Random="false" 
			Multiple="true">
			<Value>Switch</Value>
			<Value>Fabric</Value>
		</Property>
		<Property Name="RegisteredVersion" Type="string" Random="false">
			<Value>1.1.0</Value>
		</Property>
		<Property Name="AdvertiseTypes" Type="uint16[]" Random="false">
			<Value>3</Value>
		</Property>
		<Property Name="OtherRegisteredOrganization" Type="string" 
			Random="false">
		</Property>
		<Property Name="AdvertiseTypeDescriptions" Type="string[]" 
			Random="false">
		</Property>
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
		</Property>
	</Class>
	<Class Name="WBEMSolutions_RegisteredProfile" Namespace="/interop" NOI="2">
		<Property Name="InstanceID" Type="string" Random="false" Key="true" 
			Multiple="true">
			<Value>WBEMSolutions:001</Value>
			<Value>WBEMSolutions:110001</Value>
		</Property>
		<Property Name="RegisteredOrganization" Type="uint16" Random="false">
			<Value>11</Value>
		</Property>
		<Property Name="OtherRegisteredOrganization" Type="string" 
			Random="false">
		</Property>
		<Property Name="RegisteredName" Type="string" Random="false">
			<Value>Server</Value>
		</Property>
		<Property Name="RegisteredVersion" Type="string" Random="false" 
			Multiple="true">
			<Value>1.0.3</Value>
			<Value>1.1.0</Value>
		</Property>
		<Property Name="AdvertiseTypes" Type="uint16[]" Random="false">
			<Value>3</Value>
		</Property>
		<Property Name="AdvertiseTypeDescriptions" Type="string[]" 
			Random="false">
		</Property>
		<Property Name="Caption" Type="string" Random="false">
			<Value>SNIA:Server</Value>
		</Property>
		<Property Name="Description" Type="string" Random="false">
			<Value>WBEM Solutions implementation of the SNIA Server 
				Profile</Value>
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
			<Value>SNIA:Server</Value>
		</Property>
	</Class>
	<Class Name="WBEMSolutions_RegisteredSubProfile" Namespace="/interop" 
		NOI="3">
		<Property Name="InstanceID" Type="string" Random="false" Key="true" 
			Multiple="true">
			<Value>WBEMSolutions:002</Value>
			<Value>WBEMSolutions:110002</Value>
			<Value>WBEMSolutions:110003</Value>
		</Property>
		<Property Name="RegisteredOrganization" Type="uint16" Random="false">
			<Value>11</Value>
		</Property>
		<Property Name="OtherRegisteredOrganization" Type="string" 
			Random="false">
		</Property>
		<Property Name="RegisteredName" Type="string" Random="false" 
			Multiple="true">
			<Value>Object Manager Adapter</Value>
			<Value>Object Manager Adapter</Value>
			<Value>Indication</Value>
		</Property>
		<Property Name="RegisteredVersion" Type="string" Random="false" 
			Multiple="true">
			<Value>1.0.3</Value>
			<Value>1.1.0</Value>
			<Value>1.1.0</Value>
		</Property>
		<Property Name="AdvertiseTypes" Type="uint16[]" Random="false" 
			Multiple="true">
			<Value>3</Value>
			<Value>3</Value>
			<Value>2</Value>
		</Property>
		<Property Name="AdvertiseTypeDescriptions" Type="string[]" 
			Random="false">
		</Property>
		<Property Name="Caption" Type="string" Random="false" Multiple="true">
			<Value>SNIA:Server:Object Manager Adapter</Value>
			<Value>SNIA:Server:Object Manager Adapter</Value>
			<Value>Server:Indication</Value>
		</Property>
		<Property Name="Description" Type="string" Random="false" 
			Multiple="true">
			<Value>WBEM Solutions implementation of the SNIA Server Object 
				Manager Adapter Subprofile </Value>
			<Value>WBEM Solutions implementation of the SNIA Server Object 
				Manager Adapter Subprofile </Value>
			<Value>Server Indication Subprofile</Value>
		</Property>
		<Property Name="ElementName" Type="string" Random="false" 
			Refers="Caption">
		</Property>
	</Class>
	<Class Name="Brocade_RegisteredSubProfile" Namespace="/interop" NOI="5">
		<Property Name="InstanceID" Type="string" Random="false" Key="true" 
			Multiple="true">
			<Value>Brocade:Blades</Value>
			<Value>Brocade:AccessPoint</Value>
			<Value>Brocade:Zone Control</Value>
			<Value>Brocade:FDMI</Value>
			<Value>Brocade:Enhanced Zoning and Enhanced Zoning Control</Value>
		</Property>
		<Property Name="RegisteredOrganization" Type="uint16" Random="false">
			<Value>11</Value>
		</Property>
		<Property Name="RegisteredName" Type="string" Random="false" 
			Multiple="true">
			<Value>Blades</Value>
			<Value>AccessPoint</Value>
			<Value>Zone Control</Value>
			<Value>FDMI</Value>
			<Value>Enhanced Zoning and Enhanced Zoning Control</Value>
		</Property>
		<Property Name="RegisteredVersion" Type="string" Random="false">
			<Value>1.1.0</Value>
		</Property>
		<Property Name="AdvertiseTypes" Type="uint16[]" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="OtherRegisteredOrganization" Type="string" 
			Random="false">
		</Property>
		<Property Name="AdvertiseTypeDescriptions" Type="string[]" 
			Random="false">
		</Property>
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
		</Property>
	</Class>
	<Class Name="WBEMSolutions_ObjectManager" Namespace="/interop" NOI="1">
		<Property Name="Version" Type="string" Random="false">
			<Value>1.2.2</Value>
		</Property>
		<Property Name="Build" Type="string" Random="false">
			<Value>08/29/2005 03:29</Value>
		</Property>
		<Property Name="APIVersion" Type="string" Random="false">
			<Value>1.2.2</Value>
		</Property>
		<Property Name="APIVendor" Type="string" Random="false">
			<Value>WBEM Solutions, Inc.</Value>
		</Property>
		<Property Name="APIBuild" Type="string" Random="false">
			<Value>08/29/2005 03:29</Value>
		</Property>
		<Property Name="GatherStatisticalData" Type="boolean" Random="false">
			<Value>false</Value>
		</Property>
		<Property Name="Name" Type="string" Random="false" Key="true">
			<Value>WBEM Solutions:1127772786422</Value>
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
			<Value>WBEM Solutions J WBEM Server</Value>
		</Property>
		<Property Name="Description" Type="string" Random="false">
			<Value>WBEM Solutions J WBEM Server</Value>
		</Property>
		<Property Name="SystemCreationClassName" Type="string" Random="false" 
			Key="true">
			<Value>WBEMSolutions_ComputerSystem</Value>
		</Property>
		<Property Name="SystemName" Type="string" Random="false" Key="true" Refers="SystemName" External="WBEMSolutions_CIMXMLSCommunicationMechanism">
		</Property>
		<Property Name="CreationClassName" Type="string" Random="false" 
			Key="true">
			<Value>WBEMSolutions_ObjectManager</Value>
		</Property>
		<Property Name="PrimaryOwnerName" Type="string" Random="false">
			<Value>WBEM Solutions, Inc.</Value>
		</Property>
		<Property Name="PrimaryOwnerContact" Type="string" Random="false">
			<Value>http://wbemsolutions.com/</Value>
		</Property>
		<Property Name="StartMode" Type="string" Random="false">
			<Value>Automatic</Value>
		</Property>
		<Property Name="Started" Type="boolean" Random="false">
			<Value>true</Value>
		</Property>
		<Property Name="EnabledState" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="OtherEnabledState" Type="string" Random="false">
		</Property>
		<Property Name="RequestedState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="EnabledDefault" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="TimeOfLastStateChange" Type="datetime" Random="false">
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="StatusDescriptions" Type="string[]" Random="false">
		</Property>
		<Property Name="Status" Type="string" Random="false">
			<Value>OK</Value>
		</Property>
		<Property Name="Caption" Type="string" Random="false">
			<Value>WBEM Solutions J WBEM Server</Value>
		</Property>
	</Class>
	<Class Name="WBEMSolutions_ComputerSystem" Namespace="/interop" NOI="1">
		<Property Name="NameFormat" Type="string" Random="false">
			<Value>IP</Value>
		</Property>
		<Property Name="OtherIdentifyingInfo" Type="string[]" Random="false">
		</Property>
		<Property Name="IdentifyingDescriptions" Type="string[]" Random="false">
		</Property>
		<Property Name="Dedicated" Type="uint16[]" Random="false">
		</Property>
		<Property Name="OtherDedicatedDescriptions" Type="string[]" 
			Random="false">
		</Property>
		<Property Name="ResetCapability" Type="uint16" Random="false">
		</Property>
		<Property Name="PowerManagementCapabilities[]" Type="uint16" 
			Random="false">
		</Property>
		<Property Name="CreationClassName" Type="string" Random="false" 
			Key="true">
			<Value>WBEMSolutions_ComputerSystem</Value>
		</Property>
		<Property Name="Name" Type="string" Random="false" Key="true" Refers="SystemName" External="WBEMSolutions_CIMXMLCommunicationMechanism">
		</Property>
		<Property Name="PrimaryOwnerName" Type="string" Random="false">
		</Property>
		<Property Name="PrimaryOwnerContact" Type="string" Random="false">
		</Property>
		<Property Name="Roles" Type="string[]" Random="false">
		</Property>
		<Property Name="EnabledState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="OtherEnabledState" Type="string" Random="false">
		</Property>
		<Property Name="RequestedState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="EnabledDefault" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="TimeOfLastStateChange" Type="datetime" Random="false">
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]" Random="false">
			<Value>0</Value>
		</Property>
		<Property Name="StatusDescriptions" Type="string[]" Random="false">
		</Property>
		<Property Name="Status" Type="string" Random="false">
		</Property>
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="Description" Type="string" Random="false">
			<Value>WBEMSolutions_ComputerSystem</Value>
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
			<Value>WBEMSolutions_ComputerSystem</Value>
		</Property>
	</Class>
	<Class Name="WBEMSolutions_ObjectManagerConformsToProfile" 
		Namespace="/interop" NOI="" Association="true">
		<Antecedent Name="ConformantStandard" Namespace="/interop" 
			ClassName="WBEMSolutions_RegisteredProfile" Key="true"/>
		<Dependent Name="ManagedElement" Namespace="/interop" 
			ClassName="WBEMSolutions_ObjectManager" Key="true"/>
	</Class>
	<Class Name="Brocade_SubProfileRequiresProfile" Namespace="/interop" 
		NOI="5" Association="true">
		<Antecedent Name="Antecedent" Namespace="/interop" 
			ClassName="Brocade_RegisteredProfile" Key="true"/>
		<Dependent Name="Dependent" Namespace="/interop" 
			ClassName="Brocade_RegisteredSubProfile" Key="true"/>
		<Mapping Type="Custom">
			<Map Antecedent="1">1,2</Map>
			<Map Antecedent="2">3,4,5</Map>
		</Mapping>
	</Class>
	
	<!--
	Classes related to fabric.
	-->
	
	<Class Name="Brocade_Fabric" Namespace="/interop" NOI="1" 
		CgfExp="[NUMBER_OF_FABRIC]" AutoGenerate="false">
		<Property Name="Name" Type="string" Random="false" Key="true">
			<Value CfgProp="FABRIC_NAME"></Value>
		</Property>
		<Property Name="ElementName" Type="string" Random="false" Refers="Name">
			<Value></Value>
		</Property>
		<Property Name="CreationClassName" Type="string" Random="false" 
			Key="true">
			<Value>Brocade_Fabric</Value>
		</Property>
		<Property Name="NameFormat" Type="string" Random="false">
			<Value>WWN</Value>
		</Property>
		<Property Name="PrimaryOwnerName" Type="string" Random="false">
		</Property>
		<Property Name="PrimaryOwnerContact" Type="string" Random="false">
		</Property>
		<Property Name="Roles" Type="string[]" Random="false">
		</Property>
		<Property Name="EnabledState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="OtherEnabledState" Type="string" Random="false">
		</Property>
		<Property Name="RequestedState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="EnabledDefault" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="TimeOfLastStateChange" Type="datetime" Random="false">
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]" Random="false">
		</Property>
		<Property Name="StatusDescriptions" Type="string[]" Random="false">
		</Property>
		<Property Name="Status" Type="string" Random="false">
		</Property>
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
	</Class>
	<Class Name="Brocade_ElementConformsToProfile" Namespace="/interop" NOI="" 
		Association="true" AutoGenerate="false">
		<Antecedent Name="ConformantStandard" 
			ClassName="Brocade_RegisteredProfile" Namespace="/interop" Key="true"/>
		<Dependent Name="ManagedElement" ClassName="Brocade_Fabric" Namespace="/root/brocade1" Key="true"/>
	</Class>
	
	<!--
	Classes related to switch
	-->
	<Class Name="Brocade_Switch" Namespace="/interop" NOI="1" 
		CfgExp="[NUMBER_OF_SWITCHES]" AutoGenerate="false">
		<Property Name="CreationClassName" Type="string" Random="false" 
			Key="true">
			<Value>Brocade_Switch</Value>
		</Property>
		<Property Name="Name" Type="string" Random="false" Key="true">
			<Value CfgProp="SWITCH_NAME"></Value>
		</Property>
		<Property Name="Dedicated" Type="uint16[]" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="OtherIdentifyingInfo" Type="string[]" Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="IdentifyingDescriptions" Type="string[]" Random="false">
			<Value>DomainID</Value>
		</Property>
		<Property Name="SwitchID" Type="string" Random="false">
			<Value CfgProp="SWITCH_ID"></Value>
		</Property>
		<Property Name="ElementName" Type="string" Random="false">
			<Value CfgProp="SWITCH_ELEMENT_NAME"></Value>
		</Property>
		<Property Name="NameFormat" Type="string" Random="false">
			<Value>WWN</Value>
		</Property>
		<Property Name="IsVirtual" Type="boolean" Random="false">
			<Value>false</Value>
		</Property>
		<Property Name="OperationalStatus" Type="uint16[]" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="StatusReason" Type="string" Random="false">
			<Value>OK</Value>
		</Property>
		<Property Name="EnabledState" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="RequestedState" Type="uint16" Random="false">
			<Value>5</Value>
		</Property>
		<Property Name="SwitchTime" Type="datetime" Random="false">
			<Value>20060920142204.000000+330</Value>
		</Property>
		<Property Name="SwitchTimeZone" Type="uint16" Random="false">
		</Property>
		<Property Name="SwitchRole" Type="uint16" Random="false">
			<Value>1</Value>
		</Property>
		<Property Name="Banner" Type="string" Random="false">
		</Property>
		<Property Name="UpTime" Type="datetime" Random="false">
		</Property>
		<Property Name="LastConfigChangeTime" Type="datetime" Random="false">
		</Property>
		<Property Name="RebootReason" Type="string" Random="false">
		</Property>
		<Property Name="Beacon" Type="boolean" Random="false">
		</Property>
		<Property Name="DomainIdConfirmed" Type="boolean" Random="false">
		</Property>
		<Property Name="SNTPAddressList" Type="string[]" Random="false">
		</Property>
		<Property Name="SysLogAddressList" Type="string[]" Random="false">
		</Property>
		<Property Name="DomainName" Type="string" Random="false">
		</Property>
		<Property Name="DNSServerAddressList" Type="string[]" Random="false">
		</Property>
		<Property Name="OtherDedicatedDescriptions" Type="string[]" 
			Random="false">
		</Property>
		<Property Name="ResetCapability" Type="uint16" Random="false">
		</Property>
		<Property Name="PowerManagementCapabilities" Type="uint16[]" 
			Random="false">
		</Property>
		<Property Name="PrimaryOwnerName" Type="string" Random="false">
		</Property>
		<Property Name="PrimaryOwnerContact" Type="string" Random="false">
		</Property>
		<Property Name="Roles" Type="string[]" Random="false">
		</Property>
		<Property Name="OtherEnabledState" Type="string" Random="false">
		</Property>
		<Property Name="EnabledDefault" Type="uint16" Random="false">
			<Value>2</Value>
		</Property>
		<Property Name="TimeOfLastStateChange" Type="datetime" Random="false">
		</Property>
		<Property Name="InstallDate" Type="datetime" Random="false">
		</Property>
		<Property Name="StatusDescriptions" Type="string[]" Random="false">
		</Property>
		<Property Name="Status" Type="string" Random="false">
		</Property>
		<Property Name="Caption" Type="string" Random="false">
		</Property>
		<Property Name="Description" Type="string" Random="false">
		</Property>
	</Class>
	<Class Name="Brocade_ElementConformsToProfile" Namespace="/interop" NOI="" 
		Association="true" AutoGenerate="false">
		<Antecedent Name="ConformantStandard" 
			ClassName="Brocade_RegisteredProfile" Namespace="/interop" Key="true"/>
		<Dependent Name="ManagedElement" ClassName="Brocade_Switch" Namespace="/root/brocade1" Key="true"/>
	</Class>
</SAN_Simulator>